Summary:	Utilities for configuring ISA Plug-and-Play (PnP) devices
Name:		isapnptools
Version:	1.26
Release:	%mkrel 9
License:	GPL
Group:		System/Configuration/Hardware
URL:		ftp://ftp.demon.co.uk/pub/unix/linux/utils/
Source0:	%{name}-%{version}.tar.bz2
Patch1:		%{name}-demo2.patch
Patch2:		isapnptools-1.26-gcc4-fix.patch
ExclusiveArch:	%{ix86} alpha
BuildRequires:	flex
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The isapnptools package contains utilities for configuring ISA
Plug-and-Play (PnP) cards which are in compliance with the PnP ISA
Specification Version 1.0a.  ISA PnP cards use registers instead of
jumpers for setting the board address and interrupt assignments.  The
cards also contain descriptions of the resources which need to be
allocated.  The BIOS on your system, or isapnptools, uses a protocol
described in the specification to find all of the PnP boards and
allocate the resources so that none of them conflict.

Note that the BIOS doesn't do a very good job of allocating resources.
So isapnptools is suitable for all systems, whether or not they
include a PnP BIOS. In fact, a PnP BIOS adds some complications.  A
PnP BIOS may already activate some cards so that the drivers can find
them.  Then these tools can unconfigure them or change their settings,
causing all sorts of nasty effects. If you have PnP network cards that
already work, you should read through the documentation files very
carefully before you use isapnptools.

Install isapnptools if you need utilities for configuring ISA PnP
cards.

%package	devel
Summary:	Devel libraries for configuring ISA Plug-and-Play (PnP) devices
Group:		Development/C

%description	devel
The isapnptools package contains utilities for configuring ISA
Plug-and-Play (PnP) cards which are in compliance with the PnP ISA
Specification Version 1.0a.  ISA PnP cards use registers instead of
jumpers for setting the board address and interrupt assignments.  The
cards also contain descriptions of the resources which need to be
allocated.  The BIOS on your system, or isapnptools, uses a protocol
described in the specification to find all of the PnP boards and
allocate the resources so that none of them conflict.

Note that the BIOS doesn't do a very good job of allocating resources.
So isapnptools is suitable for all systems, whether or not they
include a PnP BIOS. In fact, a PnP BIOS adds some complications.  A
PnP BIOS may already activate some cards so that the drivers can find
them.  Then these tools can unconfigure them or change their settings,
causing all sorts of nasty effects. If you have PnP network cards that
already work, you should read through the documentation files very
carefully before you use isapnptools.

Install isapnptools-devel if you need to do development with ISA PnP
cards.

%prep

%setup -q
%patch1 -p1
%patch2 -p1 -b .gcc4
find | xargs chmod u+w

%build
%configure --sbindir=/sbin
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
perl -pi -e "s/^\([^#]\)/#\1/" etc/isapnp.gone
%ifarch alpha
perl -pi -e "s/#IRQ 7/IRQ 7/" etc/isapnp.gone
%endif 

%install
rm -rf %{buildroot}

%makeinstall_std
install -m644 etc/isapnp.gone -D %{buildroot}%{_sysconfdir}/isapnp.gone

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,755)
%doc README
%doc config-scripts/YMH0021
%config(missingok,noreplace) %attr(0644,root,root) %{_sysconfdir}/isapnp.gone
/sbin/*
%{_mandir}/man*/*

%files devel
%defattr(-,root,root,755)
%doc AUTHORS COPYING NEWS doc
%{_libdir}/*.a
%{_includedir}/isapnp


%changelog
* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.26-9mdv2007.1
+ Revision: 145398
- Import isapnptools



* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.26-9mdv2007.1
- use the %%mrel macro
- bunzip patches

* Fri Sep  9 2005 Olivier Blin <oblin@mandriva.com> 1.26-8mdk
- fix typo in summary

* Thu Aug 18 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.26-7mdk
- fix build with gcc 4 (P2)
- fix file permissions
- %%mkrel

* Wed Jun 04 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.26-6mdk
- macroize
- fix unpackaged files
- cleanups

* Wed May 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.26-5mdk
- remove non applied patches

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 1.26-4mdk
- BuildRequires:	flex
- Copyright --> License

* Fri Aug 31 2001 Pixel <pixel@mandrakesoft.com> 1.26-3mdk
- move some doc in -devel

* Fri May 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.26-2mdk
- Binaries were lost in space.

* Fri May 11 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.26-1mdk
- 1.26.

* Fri Apr 13 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.25-1mdk
- On Good Friday, make a new 1.25 for everyone.

* Fri Jan 12 2001 Francis Galiegue <fg@mandrakesoft.com> 1.24-2mdk

- File list fixes
- Fix typo in description

* Mon Jan 08 2001 Geoff <snailtalk@mandrakesoft.com> 1.24-1mdk
- new and shiny source.
- fix the patches so they apply as patchlevel 1.
- use of %%configure.

* Tue Jul 25 2000 Alexandre Dussart <adussart@mandrakesoft.com> 1.22-2mdk
-Updated %files section.

* Fri Jun 23 2000 Alexandre Dussart <adussart@mandrakesoft.com> 1.22-1mdk
- 1.22
- pnpdump_main.c compilation fix.
- demo2 compilation fix.
- headers in /usr/include/isapnp now.

* Mon Apr 24 2000 David BAUDENS <baudens@mandrakesoft.com> 1.21-4mdk
- Add missing x86 archs
- Use %%{_tmppath} for BuildRoot

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 1.21-3mdk
- adjust group cleanup man pages (pixel ;-))

* Wed Jan 26 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- Patch 1.21b

* Mon Dec 07 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 1.21
- Removed obsolete patch.
- Patch 1.21a

* Mon Dec 07 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Added some others headers files.
- Added README.lib

* Mon Dec 06 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Added pnp-access.h

* Mon Dec 6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add devel package.

* Mon Dec 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.20.

* Tue Nov 2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove %post.
- Merge with rh patchs.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.19.

* Tue Sep 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove my patch and add the official patch.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch to don't make Check by default.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Tue Feb 16 1999 Bill Nottingham <notting@redhat.com>
- update to version 1.18

* Wed Nov 11 1998 Bill Nottingham <notting@redhat.com>
- update to version 1.17

* Mon Nov  2 1998 Bill Nottingham <notting@redhat.com>
- add /etc/isapnp.gone
- default to not using IRQ 7 on alpha

* Mon Oct 12 1998 Bill Nottingham <notting@redhat.com>
- update to version 1.16

* Mon Oct  5 1998 Bill Nottingham <notting@redhat.com>
- add %post to twiddle readport of old /etc/isapnp.conf files

* Thu Sep 24 1998 Bill Nottingham <notting@redhat.com>
- fixed spec file so it rebuild cleanly

* Fri Aug 07 1998 Bill Nottingham <notting@redhat.com>
- added patch to bump to 1.15a

* Tue Aug 04 1998 Bill Nottingham <notting@redhat.com>
- updated to version 1.15

* Fri Oct 03 1997 Michael Fulbright <msf@redhat.com>
- added code to avoid probing in IO port ranges in /proc/ioports

* Fri Aug 22 1997 Mike Wangsmo <wanger@redhat.com>
- Built against glibc

* Thu Jul 17 1997 Timo Karjalainen <timok@iki.fi>
- Updated to version 1.11
- Added RPM_OPT_FLAGS
- Uses BuildRoot
